commit:     b71b355d48a0fc1993fdbc10441f88efb08de805
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat May 27 04:52:06 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat May 27 05:32:47 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b71b355d

dev-python/rq: Bump to 1.15

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/rq/Manifest       |  1 +
 dev-python/rq/rq-1.15.ebuild | 61 ++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/dev-python/rq/Manifest b/dev-python/rq/Manifest
index e26122540200..dcc13ef44bb9 100644
--- a/dev-python/rq/Manifest
+++ b/dev-python/rq/Manifest
@@ -1,3 +1,4 @@
 DIST rq-1.13.0.gh.tar.gz 616679 BLAKE2B 
026914ab01f769797e1f7fabc944b5ccdeb1ce1957c7acc72d067e0bdd113ebb30f0060ea5adbceaac5e69b40e176c09a0b1f216cffb02132772e72151b79986
 SHA512 
6c3b4bb868cae6ffd07718b3f517350eba2effc1b3ae70ef601984cc525ecfb3f82f8569a2b0f333c5f248d3befbe3d4953f5058f8e9cb2f08ce6dadae963902
 DIST rq-1.14.1.gh.tar.gz 628713 BLAKE2B 
fbd0904faa64ea3207636f765e36042ed8ca2f0b3b57c634c3f9a6254cab811725719bb3c3974f9e19f173e4422355119f550c09a7176e1a4fca26cf26bb6e5d
 SHA512 
f75fe944c041fb8dfe9607b480dbf62d72f8715934e014b4c666f19c73123e7062ab0e17190f572b2cdad6a916dbf2190637255af5c1db51b41765d448ad2120
 DIST rq-1.14.gh.tar.gz 627836 BLAKE2B 
4127d6c183826ee84eb290145098b545938cdeca2daf836c08ae49a07265cebfc4eb0dbdd92c640605ce630e37a13184010dd8a6a2a2face5369c00c22fc286c
 SHA512 
5e74a2b57b673ef9333dd1ec3f7f3cecb9c9b2d48d93617dd46de833a6edce213b2488822d77eea9fde42f9949fa5e935be4d8f95f43b29e6c8f0f46593d5ce5
+DIST rq-1.15.gh.tar.gz 633276 BLAKE2B 
885b4ef343924b8f4a88c6c3e93bbed1b62022e72217922e874b8f6be36c3656110037f862bfe27f134d57c41d1b741e5fa23e6ab48fbd787ff08bf628a5e207
 SHA512 
b1c9614b376b74795436333cff6a5bb62795e73d95376e8e18b2472fda3eb720608d495c57e3c2c1b2c237b7fc409602828bea631c1b8905d7df71c74e6c705c

diff --git a/dev-python/rq/rq-1.15.ebuild b/dev-python/rq/rq-1.15.ebuild
new file mode 100644
index 000000000000..1ba364f0bdbc
--- /dev/null
+++ b/dev-python/rq/rq-1.15.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Simple, lightweight library for creating and processing 
background jobs"
+HOMEPAGE="
+       https://python-rq.org/
+       https://github.com/rq/rq/
+       https://pypi.org/project/rq/
+"
+# Tests missing from sdist, as of 1.14.1
+SRC_URI="
+       https://github.com/rq/rq/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+       >=dev-python/click-5.0[${PYTHON_USEDEP}]
+       >=dev-python/redis-4.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-db/redis
+               dev-python/psutil[${PYTHON_USEDEP}]
+               dev-python/sentry-sdk[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+src_test() {
+       local redis_pid="${T}"/redis.pid
+       local redis_port=6379
+       local redis_test_config="daemonize yes
+               pidfile ${redis_pid}
+               port ${redis_port}
+               bind 127.0.0.1
+       "
+
+       # Spawn Redis itself for testing purposes
+       # NOTE: On sam@'s machine, spawning Redis can hang in the sandbox.
+       # I'm not restricting tests yet because this doesn't happen for anyone 
else AFAICT.
+       einfo "Spawning Redis"
+       einfo "NOTE: Port ${redis_port} must be free"
+       /usr/sbin/redis-server - <<< "${redis_test_config}" || die
+
+       # Run the actual tests
+       distutils-r1_src_test
+
+       # Clean up afterwards
+       kill "$(<"${redis_pid}")" || die
+}

Reply via email to